GET /v1/public/executions/{id}
Get the current status and event timeline for a public execution

Path Parameters

id string required path
Execution ID

Query Parameters

token string required query
Client token returned when the execution was created

Responses

200 OK
application/json
code integer
data object
checkoutSessionId string
clientSafeMetadata object
createdAt string
events object[]
Array of:
createdAt string
eventType string
id string
level string
message string
nodeId string
runId string
title string
finishedAt string
id string
message string
orderId string
paymentStatus string
runId string
startedAt string
status string
Enum: awaiting_payment, payment_confirmed, workflow_queued, workflow_running, workflow_waiting, workflow_succeeded, workflow_failed, workflow_cancelled
workflowId string
message string
requestId string
400 Bad Request
401 Unauthorized
curl -X GET 'https://api.example.com/v1/public/executions/string?token=string' \  -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.example.com/v1/public/executions/string?token=string', {  method: 'GET',  headers: {      "Authorization": "Bearer YOUR_API_TOKEN"  }});const data = await response.json();console.log(data);
import requestsheaders = {    'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://api.example.com/v1/public/executions/string?token=string', headers=headers)print(response.json())
package mainimport (	"fmt"	"io"	"net/http")func main() {	req, _ := http.NewRequest("GET", "https://api.example.com/v1/public/executions/string?token=string", nil)	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")	resp, _ := http.DefaultClient.Do(req)	defer resp.Body.Close()	result, _ := io.ReadAll(resp.Body)	fmt.Println(string(result))}
200 Response
{  "code": 200,  "data": {    "checkoutSessionId": "<string>",    "clientSafeMetadata": "<object>",    "createdAt": "<string>",    "events": [      {        "createdAt": "<string>",        "eventType": "<string>",        "id": "<string>",        "level": "<string>",        "message": "<string>",        "nodeId": "<string>",        "runId": "<string>",        "title": "<string>"      }    ],    "finishedAt": "<string>",    "id": "<string>",    "message": "<string>",    "orderId": "<string>",    "paymentStatus": "<string>",    "runId": "<string>",    "startedAt": "<string>",    "status": "awaiting_payment",    "workflowId": "<string>"  },  "message": "success",  "requestId": "abc-123"}
Ask a question... ⌘I